<?php
/**
 * $JA#COPYRIGHT$
 */

defined('_JEXEC') or die;

/**
 * View class for a list of articles.
 *
 * @package     Joomla.Administrator
 * @subpackage  com_jalang
 * @since       1.6
 */
class JalangViewItem extends JViewLegacy
{

	/**
	 * Display the view
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
		$app = JFactory::getApplication();
		$this->item		= $this->get('Item');

		$adapter = JalangHelper::getHelperContent();
		if($adapter) {
			$this->primarykey = $adapter->primarykey;
			$this->alias_field = $adapter->alias_field;
			$this->translate_fields = $adapter->translate_fields;
			$this->reference_fields = $adapter->reference_fields;
		} else {
			$this->primarykey = null;
			$this->alias_field = null;
			$this->translate_fields = array();
			$this->reference_fields = array();
		}

		parent::display($tpl);
	}
}
