<?php
/**
 * $JA#COPYRIGHT$
 */

defined('_JEXEC') or die;

if(JFile::exists(JPATH_ADMINISTRATOR . '/components/com_mijoshop/mijoshop.php')) {
	//Register if Mijoshop is installed
	JalangHelperContent::registerAdapter(
		__FILE__,
		'mijoshop_filter_description',
		3,
		JText::_('MIJOSHOP_FILTER'),
		JText::_('MIJOSHOP_FILTER')
	);


	class JalangHelperContentMijoshopFilterDescription extends JalangHelperContent
	{
		public function __construct($config = array())
		{
			$this->table_type 			= 'table_ml';
			$this->language_field 		= 'language_id';
			$this->language_mode 		= 'id';
			$this->table 				= 'mijoshop_filter_description';
			$this->primarykey 			= 'filter_id';
			$this->edit_context 		= 'mijoshop.edit.filter';
			$this->associate_context 	= 'mijoshop.filter';
			$this->translate_fields 	= array('name');
			$this->translate_filters 	= array();
			$this->alias_field 			= '';
			$this->title_field 			= 'name';
			parent::__construct($config);
		}

		public function getEditLink($id) {
			$db = JFactory::getDbo();
			$query = 'SELECT filter_group_id FROM #__mijoshop_filter WHERE filter_id = '.$id;
			$db->setQuery($query);
			$filter_group_id = $db->loadResult();

			return 'index.php?option=com_mijoshop&route=catalog/filter/update&filter_group_id='.$filter_group_id;
		}

		/**
		 * Returns an array of fields the table can be sorted by
		 */
		public function getSortFields()
		{
			return array(
				'a.name' => JText::_('JGLOBAL_TITLE')
			);
		}

		/**
		 * Returns an array of fields will be displayed in the table list
		 */
		public function getDisplayFields()
		{
			return array(
				'a.filter_group_id' => 'JGRID_HEADING_ID',
				'a.name' => 'JGLOBAL_TITLE'
			);
		}
	}
}
